Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -8609,50 +8647,50 @@
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0002fh                ; bb 2f 00
-    call 0162ah                               ; e8 78 b5
+    call 0162ah                               ; e8 59 b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0000ah                ; 83 c2 0a
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, cx                                ; 89 cb
-    call 0162ah                               ; e8 6a b5
+    call 0162ah                               ; e8 4b b5
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0000ch                ; 83 c2 0c
     mov ax, word [bp+014h]                    ; 8b 46 14
-    call 0160eh                               ; e8 3e b5
+    call 0160eh                               ; e8 1f b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0000dh                ; 83 c2 0d
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, 00093h                            ; bb 93 00
-    call 0160eh                               ; e8 2f b5
+    call 0160eh                               ; e8 10 b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0000eh                ; 83 c2 0e
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 3d b5
+    call 0162ah                               ; e8 1e b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00020h                ; 83 c2 20
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0ffffh                ; bb ff ff
-    call 0162ah                               ; e8 2e b5
+    call 0162ah                               ; e8 0f b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00022h                ; 83 c2 22
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 20 b5
+    call 0162ah                               ; e8 01 b5
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00024h                ; 83 c2 24
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0000fh                ; bb 0f 00
-    call 0160eh                               ; e8 f5 b4
+    call 0160eh                               ; e8 d6 b4
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00025h                ; 83 c2 25
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, 0009bh                            ; bb 9b 00
-    call 0160eh                               ; e8 e6 b4
+    call 0160eh                               ; e8 c7 b4
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00026h                ; 83 c2 26
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 f4 b4
+    call 0162ah                               ; e8 d5 b4
     mov ax, ss                                ; 8c d0
     mov cx, ax                                ; 89 c1
@@ -8664,25 +8702,25 @@
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0ffffh                ; bb ff ff
-    call 0162ah                               ; e8 d8 b4
+    call 0162ah                               ; e8 b9 b4
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0002ah                ; 83 c2 2a
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, cx                                ; 89 cb
-    call 0162ah                               ; e8 ca b4
+    call 0162ah                               ; e8 ab b4
     movzx bx, byte [bp-008h]                  ; 0f b6 5e f8
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0002ch                ; 83 c2 2c
     mov ax, word [bp+014h]                    ; 8b 46 14
-    call 0160eh                               ; e8 9e b4
+    call 0160eh                               ; e8 7f b4
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0002dh                ; 83 c2 2d
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, 00093h                            ; bb 93 00
-    call 0160eh                               ; e8 8f b4
+    call 0160eh                               ; e8 70 b4
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0002eh                ; 83 c2 2e
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 9d b4
+    call 0162ah                               ; e8 7e b4
     mov si, word [bp+006h]                    ; 8b 76 06
     mov es, [bp+014h]                         ; 8e 46 14
@@ -8695,5 +8733,5 @@
     mov word [00467h], sp                     ; 89 26 67 04
     mov [00469h], ss                          ; 8c 16 69 04
-    call 061a9h                               ; e8 00 00
+    call 061c8h                               ; e8 00 00
     pop di                                    ; 5f
     add di, strict byte 0001bh                ; 83 c7 1b
@@ -8718,5 +8756,5 @@
     cld                                       ; fc
     rep movsw                                 ; f3 a5
-    call 061ddh                               ; e8 00 00
+    call 061fch                               ; e8 00 00
     pop ax                                    ; 58
     push 0f000h                               ; 68 00 f0
@@ -8739,51 +8777,51 @@
     pop DS                                    ; 1f
     mov ax, di                                ; 89 f8
-    call 05e2ch                               ; e8 1e fc
+    call 05e4bh                               ; e8 1e fc
     sti                                       ; fb
     mov byte [bp+013h], 000h                  ; c6 46 13 00
     and byte [bp+018h], 0feh                  ; 80 66 18 fe
-    jmp near 05fc4h                           ; e9 aa fd
+    jmp near 05fe3h                           ; e9 aa fd
     mov ax, strict word 00031h                ; b8 31 00
-    call 0165ch                               ; e8 3c b4
+    call 0165ch                               ; e8 1d b4
     xor ah, ah                                ; 30 e4
     mov dx, ax                                ; 89 c2
     sal dx, 008h                              ; c1 e2 08
     mov ax, strict word 00030h                ; b8 30 00
-    call 0165ch                               ; e8 2f b4
+    call 0165ch                               ; e8 10 b4
     xor ah, ah                                ; 30 e4
     or dx, ax                                 ; 09 c2
     mov word [bp+012h], dx                    ; 89 56 12
     cmp dx, strict byte 0ffc0h                ; 83 fa c0
-    jbe short 06213h                          ; 76 da
+    jbe short 06232h                          ; 76 da
     mov word [bp+012h], strict word 0ffc0h    ; c7 46 12 c0 ff
-    jmp short 06213h                          ; eb d3
+    jmp short 06232h                          ; eb d3
     cli                                       ; fa
     mov ax, strict word 00001h                ; b8 01 00
-    call 05e2ch                               ; e8 e5 fb
+    call 05e4bh                               ; e8 e5 fb
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 00038h                ; 83 c2 38
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0ffffh                ; bb ff ff
-    call 0162ah                               ; e8 d4 b3
+    call 0162ah                               ; e8 b5 b3
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0003ah                ; 83 c2 3a
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 c6 b3
+    call 0162ah                               ; e8 a7 b3
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0003ch                ; 83 c2 3c
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, strict word 0000fh                ; bb 0f 00
-    call 0160eh                               ; e8 9b b3
+    call 0160eh                               ; e8 7c b3
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0003dh                ; 83 c2 3d
     mov ax, word [bp+014h]                    ; 8b 46 14
     mov bx, 0009bh                            ; bb 9b 00
-    call 0160eh                               ; e8 8c b3
+    call 0160eh                               ; e8 6d b3
     mov dx, word [bp+006h]                    ; 8b 56 06
     add dx, strict byte 0003eh                ; 83 c2 3e
     mov ax, word [bp+014h]                    ; 8b 46 14
     xor bx, bx                                ; 31 db
-    call 0162ah                               ; e8 9a b3
+    call 0162ah                               ; e8 7b b3
     mov AL, strict byte 011h                  ; b0 11
     mov dx, strict word 00020h                ; ba 20 00
@@ -8815,5 +8853,5 @@
     out DX, AL                                ; ee
     mov si, word [bp+006h]                    ; 8b 76 06
-    call 062d1h                               ; e8 00 00
+    call 062f0h                               ; e8 00 00
     pop di                                    ; 5f
     add di, strict byte 00018h                ; 83 c7 18
@@ -8843,12 +8881,12 @@
     push cx                                   ; 51
     retf                                      ; cb
-    jmp near 05fc4h                           ; e9 b7 fc
-    mov bx, 00da6h                            ; bb a6 0d
+    jmp near 05fe3h                           ; e9 b7 fc
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 b4 b5
+    call 018e1h                               ; e8 aa b5
     push 00876h                               ; 68 76 08
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 ed b5
+    call 01922h                               ; e8 e3 b5
     add sp, strict byte 00004h                ; 83 c4 04
     or byte [bp+018h], 001h                   ; 80 4e 18 01
@@ -8857,51 +8895,52 @@
     or ah, 086h                               ; 80 cc 86
     mov word [bp+012h], ax                    ; 89 46 12
-    jmp near 05fc4h                           ; e9 8f fc
+    jmp near 05fe3h                           ; e9 8f fc
     mov word [bp+018h], cx                    ; 89 4e 18
     mov word [bp+012h], ax                    ; 89 46 12
     mov word [bp+00ch], 0e6f5h                ; c7 46 0c f5 e6
     mov word [bp+014h], 0f000h                ; c7 46 14 00 f0
-    jmp near 05fc4h                           ; e9 7c fc
+    jmp near 05fe3h                           ; e9 7c fc
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 cb b2
+    call 0161ch                               ; e8 ac b2
     mov word [bp+014h], ax                    ; 89 46 14
-    jmp near 06213h                           ; e9 bc fe
+    jmp near 06232h                           ; e9 bc fe
     push 008a5h                               ; 68 a5 08
     push strict byte 00008h                   ; 6a 08
-    jmp short 0631dh                          ; eb bf
+    jmp short 0633ch                          ; eb bf
     test byte [bp+012h], 0ffh                 ; f6 46 12 ff
-    jne short 06383h                          ; 75 1f
+    jne short 063a2h                          ; 75 1f
     mov word [bp+012h], ax                    ; 89 46 12
     mov ax, word [bp+00ch]                    ; 8b 46 0c
     xor ah, ah                                ; 30 e4
     cmp ax, strict word 00001h                ; 3d 01 00
-    jc short 0637ch                           ; 72 0b
+    jc short 0639bh                           ; 72 0b
     cmp ax, strict word 00003h                ; 3d 03 00
-    jnbe short 0637ch                         ; 77 06
+    jnbe short 0639bh                         ; 77 06
     mov word [bp+018h], cx                    ; 89 4e 18
-    jmp near 05fc4h                           ; e9 48 fc
+    jmp near 05fe3h                           ; e9 48 fc
     or byte [bp+018h], 001h                   ; 80 4e 18 01
-    jmp near 05fc4h                           ; e9 41 fc
-    mov bx, 00da6h                            ; bb a6 0d
+    jmp near 05fe3h                           ; e9 41 fc
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 3e b5
+    call 018e1h                               ; e8 34 b5
     push word [bp+00ch]                       ; ff 76 0c
     push word [bp+012h]                       ; ff 76 12
     push 008bch                               ; 68 bc 08
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 71 b5
+    call 01922h                               ; e8 67 b5
     add sp, strict byte 00008h                ; 83 c4 08
-    jmp short 06323h                          ; eb 82
-    pop dx                                    ; 5a
-    db  065h, 07ch, 065h
-    ; gs jl short 0640ah                        ; 65 7c 65
-    lahf                                      ; 9f
-    sal word [gs:di-01fh], 065h               ; 65 c1 65 e1 65
-    add ah, byte [bp+041h]                    ; 02 66 41
-    insd                                      ; 66 6d
+    jmp short 06342h                          ; eb 82
+    jns short 06427h                          ; 79 65
+    wait                                      ; 9b
+    db  065h, 0beh, 065h, 0e0h
+    ; gs mov si, 0e065h                         ; 65 be 65 e0
+    add byte [gs:bp+021h], ah                 ; 65 00 66 21
+    pushad                                    ; 66 60
     db  066h
-_int15_function32:                           ; 0xf63b1 LB 0x37e
+    db  08ch
+    db  066h
+_int15_function32:                           ; 0xf63d0 LB 0x37e
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -8915,9 +8954,9 @@
     xor ah, ah                                ; 30 e4
     cmp dx, 000e8h                            ; 81 fa e8 00
-    je near 0647eh                            ; 0f 84 ad 00
+    je near 0649dh                            ; 0f 84 ad 00
     cmp dx, 000d0h                            ; 81 fa d0 00
-    je short 06419h                           ; 74 42
+    je short 06438h                           ; 74 42
     cmp dx, 00086h                            ; 81 fa 86 00
-    jne near 066ffh                           ; 0f 85 20 03
+    jne near 0671eh                           ; 0f 85 20 03
     sti                                       ; fb
     mov ax, word [bp+01ch]                    ; 8b 46 1c
@@ -8938,31 +8977,31 @@
     db  066h, 00bh, 0c9h
     ; or ecx, ecx                               ; 66 0b c9
-    je near 06416h                            ; 0f 84 0e 00
+    je near 06435h                            ; 0f 84 0e 00
     in AL, strict byte 061h                   ; e4 61
     and AL, strict byte 010h                  ; 24 10
     db  03ah, 0c4h
     ; cmp al, ah                                ; 3a c4
-    je short 06408h                           ; 74 f8
+    je short 06427h                           ; 74 f8
     db  08ah, 0e0h
     ; mov ah, al                                ; 8a e0
     dec ecx                                   ; 66 49
-    jne short 06408h                          ; 75 f2
-    jmp near 06729h                           ; e9 10 03
+    jne short 06427h                          ; 75 f2
+    jmp near 06748h                           ; e9 10 03
     cmp ax, strict word 0004fh                ; 3d 4f 00
-    jne near 066ffh                           ; 0f 85 df 02
+    jne near 0671eh                           ; 0f 85 df 02
     cmp word [bp+016h], 05052h                ; 81 7e 16 52 50
-    jne near 066ffh                           ; 0f 85 d6 02
+    jne near 0671eh                           ; 0f 85 d6 02
     cmp word [bp+014h], 04f43h                ; 81 7e 14 43 4f
-    jne near 066ffh                           ; 0f 85 cd 02
+    jne near 0671eh                           ; 0f 85 cd 02
     cmp word [bp+01eh], 04d4fh                ; 81 7e 1e 4f 4d
-    jne near 066ffh                           ; 0f 85 c4 02
+    jne near 0671eh                           ; 0f 85 c4 02
     cmp word [bp+01ch], 04445h                ; 81 7e 1c 45 44
-    jne near 066ffh                           ; 0f 85 bb 02
+    jne near 0671eh                           ; 0f 85 bb 02
     mov ax, word [bp+00ah]                    ; 8b 46 0a
     or ax, word [bp+008h]                     ; 0b 46 08
-    jne near 066ffh                           ; 0f 85 b1 02
+    jne near 0671eh                           ; 0f 85 b1 02
     mov ax, word [bp+006h]                    ; 8b 46 06
     or ax, word [bp+004h]                     ; 0b 46 04
-    jne near 066ffh                           ; 0f 85 a7 02
+    jne near 0671eh                           ; 0f 85 a7 02
     mov word [bp+028h], bx                    ; 89 5e 28
     mov ax, word [bp+014h]                    ; 8b 46 14
@@ -8975,16 +9014,16 @@
     mov word [bp+006h], ax                    ; 89 46 06
     mov dword [bp+020h], strict dword 049413332h ; 66 c7 46 20 32 33 41 49
-    jmp near 06729h                           ; e9 ab 02
+    jmp near 06748h                           ; e9 ab 02
     cmp ax, strict word 00020h                ; 3d 20 00
-    je short 0648dh                           ; 74 0a
+    je short 064ach                           ; 74 0a
     cmp ax, strict word 00001h                ; 3d 01 00
-    je near 066b4h                            ; 0f 84 2a 02
-    jmp near 066ffh                           ; e9 72 02
+    je near 066d3h                            ; 0f 84 2a 02
+    jmp near 0671eh                           ; e9 72 02
     cmp word [bp+01ah], 0534dh                ; 81 7e 1a 4d 53
-    jne near 066ffh                           ; 0f 85 69 02
+    jne near 0671eh                           ; 0f 85 69 02
     cmp word [bp+018h], 04150h                ; 81 7e 18 50 41
-    jne near 066ffh                           ; 0f 85 60 02
+    jne near 0671eh                           ; 0f 85 60 02
     mov ax, strict word 00035h                ; b8 35 00
-    call 0165ch                               ; e8 b7 b1
+    call 0165ch                               ; e8 98 b1
     movzx bx, al                              ; 0f b6 d8
     xor dx, dx                                ; 31 d2
@@ -8992,7 +9031,7 @@
     sal bx, 1                                 ; d1 e3
     rcl dx, 1                                 ; d1 d2
-    loop 064adh                               ; e2 fa
+    loop 064cch                               ; e2 fa
     mov ax, strict word 00034h                ; b8 34 00
-    call 0165ch                               ; e8 a3 b1
+    call 0165ch                               ; e8 84 b1
     xor ah, ah                                ; 30 e4
     mov dx, bx                                ; 89 da
@@ -9002,10 +9041,10 @@
     adc dx, 00100h                            ; 81 d2 00 01
     cmp dx, 00100h                            ; 81 fa 00 01
-    jc short 064d3h                           ; 72 06
-    jne short 06500h                          ; 75 31
+    jc short 064f2h                           ; 72 06
+    jne short 0651fh                          ; 75 31
     test bx, bx                               ; 85 db
-    jnbe short 06500h                         ; 77 2d
+    jnbe short 0651fh                         ; 77 2d
     mov ax, strict word 00031h                ; b8 31 00
-    call 0165ch                               ; e8 83 b1
+    call 0165ch                               ; e8 64 b1
     movzx bx, al                              ; 0f b6 d8
     xor dx, dx                                ; 31 d2
@@ -9013,7 +9052,7 @@
     sal bx, 1                                 ; d1 e3
     rcl dx, 1                                 ; d1 d2
-    loop 064e1h                               ; e2 fa
+    loop 06500h                               ; e2 fa
     mov ax, strict word 00030h                ; b8 30 00
-    call 0165ch                               ; e8 6f b1
+    call 0165ch                               ; e8 50 b1
     xor ah, ah                                ; 30 e4
     or bx, ax                                 ; 09 c3
@@ -9021,9 +9060,9 @@
     sal bx, 1                                 ; d1 e3
     rcl dx, 1                                 ; d1 d2
-    loop 064f4h                               ; e2 fa
+    loop 06513h                               ; e2 fa
     add bx, strict byte 00000h                ; 83 c3 00
     adc dx, strict byte 00010h                ; 83 d2 10
     mov ax, strict word 00062h                ; b8 62 00
-    call 0165ch                               ; e8 56 b1
+    call 0165ch                               ; e8 37 b1
     xor ah, ah                                ; 30 e4
     mov word [bp-00ah], ax                    ; 89 46 f6
@@ -9033,7 +9072,7 @@
     sal word [bp-00ah], 1                     ; d1 66 f6
     rcl word [bp-008h], 1                     ; d1 56 f8
-    loop 06513h                               ; e2 f8
+    loop 06532h                               ; e2 f8
     mov ax, strict word 00061h                ; b8 61 00
-    call 0165ch                               ; e8 3b b1
+    call 0165ch                               ; e8 1c b1
     xor ah, ah                                ; 30 e4
     or word [bp-00ah], ax                     ; 09 46 f6
@@ -9042,10 +9081,10 @@
     mov word [bp-00ah], strict word 00000h    ; c7 46 f6 00 00
     mov ax, strict word 00063h                ; b8 63 00
-    call 0165ch                               ; e8 25 b1
+    call 0165ch                               ; e8 06 b1
     mov byte [bp-004h], al                    ; 88 46 fc
     mov byte [bp-006h], al                    ; 88 46 fa
     mov ax, word [bp+014h]                    ; 8b 46 14
     cmp ax, strict word 00007h                ; 3d 07 00
-    jnbe near 066ffh                          ; 0f 87 b8 01
+    jnbe near 0671eh                          ; 0f 87 b8 01
     mov si, ax                                ; 89 c6
     add si, ax                                ; 01 c6
@@ -9054,5 +9093,5 @@
     mov ax, dx                                ; 89 d0
     adc ax, strict word 0ffffh                ; 15 ff ff
-    jmp word [cs:si+063a1h]                   ; 2e ff a4 a1 63
+    jmp word [cs:si+063c0h]                   ; 2e ff a4 c0 63
     push strict byte 00001h                   ; 6a 01
     push dword 000000000h                     ; 66 6a 00
@@ -9063,7 +9102,7 @@
     xor bx, bx                                ; 31 db
     xor cx, cx                                ; 31 c9
-    call 05e58h                               ; e8 e7 f8
+    call 05e77h                               ; e8 e7 f8
     mov dword [bp+014h], strict dword 000000001h ; 66 c7 46 14 01 00 00 00
-    jmp near 0669eh                           ; e9 22 01
+    jmp near 066bdh                           ; e9 22 01
     push strict byte 00002h                   ; 6a 02
     push dword 000000000h                     ; 66 6a 00
@@ -9074,7 +9113,7 @@
     mov bx, 0fc00h                            ; bb 00 fc
     mov cx, strict word 00009h                ; b9 09 00
-    call 05e58h                               ; e8 c4 f8
+    call 05e77h                               ; e8 c4 f8
     mov dword [bp+014h], strict dword 000000002h ; 66 c7 46 14 02 00 00 00
-    jmp near 0669eh                           ; e9 ff 00
+    jmp near 066bdh                           ; e9 ff 00
     push strict byte 00002h                   ; 6a 02
     push dword 000000000h                     ; 66 6a 00
@@ -9085,7 +9124,7 @@
     xor bx, bx                                ; 31 db
     mov cx, strict word 0000fh                ; b9 0f 00
-    call 05e58h                               ; e8 a2 f8
+    call 05e77h                               ; e8 a2 f8
     mov dword [bp+014h], strict dword 000000003h ; 66 c7 46 14 03 00 00 00
-    jmp near 0669eh                           ; e9 dd 00
+    jmp near 066bdh                           ; e9 dd 00
     push strict byte 00001h                   ; 6a 01
     push dword 000000000h                     ; 66 6a 00
@@ -9096,7 +9135,7 @@
     xor bx, bx                                ; 31 db
     mov cx, strict word 00010h                ; b9 10 00
-    call 05e58h                               ; e8 82 f8
+    call 05e77h                               ; e8 82 f8
     mov dword [bp+014h], strict dword 000000004h ; 66 c7 46 14 04 00 00 00
-    jmp near 0669eh                           ; e9 bd 00
+    jmp near 066bdh                           ; e9 bd 00
     push strict byte 00003h                   ; 6a 03
     push dword 000000000h                     ; 66 6a 00
@@ -9108,7 +9147,7 @@
     mov cx, ax                                ; 89 c1
     mov ax, si                                ; 89 f0
-    call 05e58h                               ; e8 61 f8
+    call 05e77h                               ; e8 61 f8
     mov dword [bp+014h], strict dword 000000005h ; 66 c7 46 14 05 00 00 00
-    jmp near 0669eh                           ; e9 9c 00
+    jmp near 066bdh                           ; e9 9c 00
     push strict byte 00002h                   ; 6a 02
     push dword 000000000h                     ; 66 6a 00
@@ -9118,17 +9157,17 @@
     xor bx, bx                                ; 31 db
     mov cx, strict word 0fffch                ; b9 fc ff
-    call 05e58h                               ; e8 40 f8
+    call 05e77h                               ; e8 40 f8
     cmp byte [bp-004h], 000h                  ; 80 7e fc 00
-    jne short 06625h                          ; 75 07
+    jne short 06644h                          ; 75 07
     mov ax, word [bp-008h]                    ; 8b 46 f8
     test ax, ax                               ; 85 c0
-    je short 06639h                           ; 74 14
+    je short 06658h                           ; 74 14
     mov dword [bp+014h], strict dword 000000007h ; 66 c7 46 14 07 00 00 00
-    jmp short 0669eh                          ; eb 6f
+    jmp short 066bdh                          ; eb 6f
     mov dword [bp+014h], strict dword 000000006h ; 66 c7 46 14 06 00 00 00
-    jmp short 0669eh                          ; eb 65
+    jmp short 066bdh                          ; eb 65
     mov word [bp+014h], ax                    ; 89 46 14
     mov word [bp+016h], ax                    ; 89 46 16
-    jmp short 0669eh                          ; eb 5d
+    jmp short 066bdh                          ; eb 5d
     push strict byte 00002h                   ; 6a 02
     push dword 000000000h                     ; 66 6a 00
@@ -9138,18 +9177,18 @@
     xor bx, bx                                ; 31 db
     xor cx, cx                                ; 31 c9
-    call 05e58h                               ; e8 02 f8
+    call 05e77h                               ; e8 02 f8
     cmp byte [bp-004h], 000h                  ; 80 7e fc 00
-    jne short 06663h                          ; 75 07
+    jne short 06682h                          ; 75 07
     mov ax, word [bp-008h]                    ; 8b 46 f8
     test ax, ax                               ; 85 c0
-    je short 06665h                           ; 74 02
-    jmp short 06625h                          ; eb c0
+    je short 06684h                           ; 74 02
+    jmp short 06644h                          ; eb c0
     mov word [bp+014h], ax                    ; 89 46 14
     mov word [bp+016h], ax                    ; 89 46 16
-    jmp short 0669eh                          ; eb 31
+    jmp short 066bdh                          ; eb 31
     cmp byte [bp-004h], 000h                  ; 80 7e fc 00
-    jne short 06679h                          ; 75 06
+    jne short 06698h                          ; 75 06
     cmp word [bp-008h], strict byte 00000h    ; 83 7e f8 00
-    je short 0669eh                           ; 74 25
+    je short 066bdh                           ; 74 25
     push strict byte 00001h                   ; 6a 01
     mov al, byte [bp-006h]                    ; 8a 46 fa
@@ -9164,5 +9203,5 @@
     xor bx, bx                                ; 31 db
     xor cx, cx                                ; 31 c9
-    call 05e58h                               ; e8 c2 f7
+    call 05e77h                               ; e8 c2 f7
     xor ax, ax                                ; 31 c0
     mov word [bp+014h], ax                    ; 89 46 14
@@ -9171,24 +9210,24 @@
     mov dword [bp+01ch], strict dword 000000014h ; 66 c7 46 1c 14 00 00 00
     and byte [bp+028h], 0feh                  ; 80 66 28 fe
-    jmp short 06729h                          ; eb 75
+    jmp short 06748h                          ; eb 75
     mov word [bp+028h], bx                    ; 89 5e 28
     mov ax, strict word 00031h                ; b8 31 00
-    call 0165ch                               ; e8 9f af
+    call 0165ch                               ; e8 80 af
     movzx dx, al                              ; 0f b6 d0
     sal dx, 008h                              ; c1 e2 08
     mov ax, strict word 00030h                ; b8 30 00
-    call 0165ch                               ; e8 93 af
+    call 0165ch                               ; e8 74 af
     xor ah, ah                                ; 30 e4
     or dx, ax                                 ; 09 c2
     mov word [bp+01ch], dx                    ; 89 56 1c
     cmp dx, 03c00h                            ; 81 fa 00 3c
-    jbe short 066dbh                          ; 76 05
+    jbe short 066fah                          ; 76 05
     mov word [bp+01ch], 03c00h                ; c7 46 1c 00 3c
     mov ax, strict word 00035h                ; b8 35 00
-    call 0165ch                               ; e8 7b af
+    call 0165ch                               ; e8 5c af
     movzx dx, al                              ; 0f b6 d0
     sal dx, 008h                              ; c1 e2 08
     mov ax, strict word 00034h                ; b8 34 00
-    call 0165ch                               ; e8 6f af
+    call 0165ch                               ; e8 50 af
     xor ah, ah                                ; 30 e4
     or dx, ax                                 ; 09 c2
